To compile MessageReceiving.c:
$gcc -o exe_filename MessageReceiving.c
To run exe_filename:
$./exe_filename 

Whatever may be the executable file name.
You have to make sure MessageReceiving program is already run.
But it receives in queue format after run the process which is sent by  MessageSending process even if it is not run while message sending by MessageSending process.

To compile MessageSending.c:
$gcc -o exe_filename1 MessageSending.c
To run exe_filename1:
$./exe_filename1 


